Package de.gebit.integrity.dsl

## Interface ForkDefinition

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PackageStatement`, `Statement`
  All Known Implementing Classes:
    `ForkDefinitionImpl`

      public interface ForkDefinition
      extends Statement, PackageStatement

  A representation of the model object 'Fork Definition'.

  The following features are supported:

  - `Private`
  - `Description`
  - `Forker Class`
  - `Base Fork`
  - `Parameters`
  See Also:
    `DslPackage.getForkDefinition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ForkDefinition` | `getBaseFork()` | Returns the value of the 'Base Fork' reference.
    `String` | `getDescription()` | Returns the value of the 'Description' attribute.
    `JavaClassReference` | `getForkerClass()` | Returns the value of the 'Forker Class' containment reference.
    `org.eclipse.emf.common.util.EList<ForkParameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `String` | `getPrivate()` | Returns the value of the 'Private' attribute.
    `void` | `setBaseFork​(ForkDefinition value)` | Sets the value of the '`Base Fork`' reference.
    `void` | `setDescription​(String value)` | Sets the value of the '`Description`' attribute.
    `void` | `setForkerClass​(JavaClassReference value)` | Sets the value of the '`Forker Class`' containment reference.
    `void` | `setPrivate​(String value)` | Sets the value of the '`Private`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface de.gebit.integrity.dsl.Statement

      `getDocumentation, getName, setDocumentation, setName`

- - ### Method Detail

    - #### getPrivate

          String getPrivate()

      Returns the value of the 'Private' attribute.
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `setPrivate(String)`, `DslPackage.getForkDefinition_Private()`

    - #### setPrivate

          void setPrivate​(String value)

      Sets the value of the '`Private`' attribute.
      Parameters:
        `value` - the new value of the 'Private' attribute.
      See Also:
        `getPrivate()`

    - #### getDescription

          String getDescription()

      Returns the value of the 'Description' attribute.
      Returns:
        the value of the 'Description' attribute.
      See Also:
        `setDescription(String)`, `DslPackage.getForkDefinition_Description()`

    - #### setDescription

          void setDescription​(String value)

      Sets the value of the '`Description`' attribute.
      Parameters:
        `value` - the new value of the 'Description' attribute.
      See Also:
        `getDescription()`

    - #### getForkerClass

          JavaClassReference getForkerClass()

      Returns the value of the 'Forker Class' containment reference.
      Returns:
        the value of the 'Forker Class' containment reference.
      See Also:
        `setForkerClass(JavaClassReference)`, `DslPackage.getForkDefinition_ForkerClass()`

    - #### setForkerClass

          void setForkerClass​(JavaClassReference value)

      Sets the value of the '`Forker Class`' containment reference.
      Parameters:
        `value` - the new value of the 'Forker Class' containment reference.
      See Also:
        `getForkerClass()`

    - #### getBaseFork

          ForkDefinition getBaseFork()

      Returns the value of the 'Base Fork' reference.
      Returns:
        the value of the 'Base Fork' reference.
      See Also:
        `setBaseFork(ForkDefinition)`, `DslPackage.getForkDefinition_BaseFork()`

    - #### setBaseFork

          void setBaseFork​(ForkDefinition value)

      Sets the value of the '`Base Fork`' reference.
      Parameters:
        `value` - the new value of the 'Base Fork' reference.
      See Also:
        `getBaseFork()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<ForkParameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `ForkParameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getForkDefinition_Parameters()`